# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

from django import template

register = template.Library()


@register.filter(name="zip")
def zip_lists(a, b):
    return zip(a, b)


@register.filter(name="zip_dict")
def zip_dict(iterable, dict_or_single_value):
    if isinstance(dict_or_single_value, dict):
        the_dict = dict_or_single_value
    else:
        the_dict = {0: dict_or_single_value}
    for i, obj in enumerate(iterable):
        yield obj, the_dict.get(i)
