# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

from django.db import models

from heliport.core.models import Project


class UnicoreResource(models.Model):
    """Model to represent UNICORE resources such as jobs and storages.

    This data is ephemeral as it can be and is updated frequently with fresh data
    queried from UNICORE. A primary key is not needed, we can query using the UUID
    provided by UNICORE.
    """

    resource_id = models.TextField()
    resource_url = models.TextField()
    heliport_project = models.ForeignKey(Project, null=True, on_delete=models.SET_NULL)
