# SPDX-FileCopyrightText: 2022 Helmholtz-Zentrum Dresden-Rossendorf (HZDR)
#
# SPDX-License-Identifier: GPL-3.0-or-later

from django.urls import path, re_path

from .views import CallbackView, JobActionView, Overview, ProjectJobsView, TestJobView

app_name = "unicore"
urlpatterns = [
    path("overview/", Overview.as_view(), name="overview"),
    path("project/<int:project>/jobs/", ProjectJobsView.as_view(), name="project-jobs"),
    path("job/<str:job_id>/<str:action>/", JobActionView.as_view(), name="job-action"),
    re_path("notify/?", CallbackView.as_view(), name="callback"),
    path("test-job/", TestJobView.as_view(), name="test-job"),
]
